<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <uses-sdk tools:overrideLibrary="androidx.camera.view,androidx.camera:camera-camera2,androidx.camera.camera2,androidx.camera.lifecycle,androidx.camera.core" />

    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_BACKGROUND_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_LOCATION_EXTRA_COMMANDS" /> <!-- 存储相关权限 -->
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission
        android:name="android.permission.WRITE_EXTERNAL_STORAGE"
        tools:ignore="ScopedStorage" />
    <uses-permission android:name="android.permission.ACCESS_MEDIA_LOCATION" />
    <uses-permission android:name="android.permission.READ_MEDIA_IMAGES" />
    <uses-permission android:name="android.permission.READ_MEDIA_AUDIO" />
    <uses-permission android:name="android.permission.READ_MEDIA_VIDEO" /> <!-- 网络相关权限 -->
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" /> <!-- 蓝牙相关权限 -->
    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" /> <!-- 电话相关权限 -->
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.CALL_PHONE" />
    <uses-permission android:name="android.permission.READ_CALL_LOG" />
    <uses-permission android:name="android.permission.WRITE_CALL_LOG" />
    <uses-permission
        android:name="android.permission.READ_PRIVILEGED_PHONE_STATE"
        tools:ignore="ProtectedPermissions" /> <!-- 系统相关权限 -->
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.REORDER_TASKS" />
    <uses-permission android:name="android.permission.RECEIVE_USER_PRESENT" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.REQUEST_IGNORE_BATTERY_OPTIMIZATIONS" />
    <uses-permission
        android:name="android.permission.WRITE_SETTINGS"
        tools:ignore="ProtectedPermissions" />
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" /> <!-- 多媒体相关权限 -->
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-permission android:name="android.permission.RECORD_AUDIO" />
    <uses-permission android:name="android.permission.MODIFY_AUDIO_SETTINGS" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.FLASHLIGHT" /> <!-- 硬件特性声明 -->
    <uses-feature
        android:name="android.hardware.camera"
        android:required="false" />
    <uses-feature
        android:name="android.hardware.camera.autofocus"
        android:required="false" />
    <uses-feature
        android:name="android.hardware.telephony"
        android:required="false" />

    <uses-permission android:name="android.permission.POST_NOTIFICATIONS" /> <!-- Intent queries for Android 11+ -->
    <queries package="${applicationId}">
        <intent>
            <action android:name="android.media.action.IMAGE_CAPTURE" />
        </intent>
        <intent>
            <action android:name="android.media.action.ACTION_VIDEO_CAPTURE" />
        </intent>
    </queries>
    <queries>
        <intent>
            <action android:name="android.intent.action.OPEN_DOCUMENT" />

            <data android:mimeType="image/*" />
        </intent>
    </queries>

    <application
        android:usesCleartextTraffic="true"
        tools:targetApi="24">

        <activity
            android:name="com.za.base.NetworkRouteSelectionActivity"
            android:exported="true"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Dealer" />

        <activity
            android:name="com.za.ui.camera.ServicePeopleRealActivity"
            android:exported="true"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Dealer" />

        <activity
            android:name="com.za.ui.servicing.inservice_people_confirm.ServicePeopleConfirmActivity"
            android:exported="true"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Dealer" />
        <activity
            android:name="com.za.ui.main.ServiceLauncherActivity"
            android:exported="true"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Dealer" />
        <activity
            android:name="com.za.ui.main.ServicingMainActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Dealer" />
        <activity
            android:name="com.za.ui.servicing.departure_photo.DeparturePhotoActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Dealer" />
        <activity
            android:name="com.za.ui.servicing.order_confirm.input_money.InputMoneyActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Dealer" />
        <activity
            android:name="com.za.ui.servicing.order_confirm.modify_money.ModifyMoneyActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Dealer" />
        <activity
            android:name="com.za.ui.new_order.NewOrderActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Dealer" />
        <activity
            android:name="com.za.ui.servicing.order_confirm.real_order_confirm.RealOrderConfirmActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Dealer" />
        <activity
            android:name="com.za.ui.servicing.order_confirm.receive_money.ReceiveMoneyActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Dealer" />
        <activity
            android:name="com.za.ui.map_search.MapSearchActivity"
            android:exported="false"
            android:screenOrientation="portrait" />

        <service
            android:name="com.za.ui.order_report.ReportFloatingManager"
            android:enabled="true"
            android:exported="false"
            android:foregroundServiceType="location" />

        <activity
            android:name="com.za.ui.order_report.HistoryReportActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Dealer" />
        <activity
            android:name="com.za.ui.order_report.OrderReportActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Dealer" />
        <activity
            android:name="com.za.ui.h5.CommonH5Activity"
            android:exported="false"
            android:launchMode="singleInstance"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Dealer" />
        <activity
            android:name="com.za.ui.servicing.order_give_up.OrderGiveUpActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Dealer" />
        <activity
            android:name="com.za.ui.servicing.in_servicing_setting.OrderRequirementsActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Dealer" />
        <activity
            android:name="com.za.ui.servicing.order_confirm.OrderConfirmActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Dealer" />
        <activity
            android:name="com.za.ui.servicing.destination_photo.DestinationPhotoActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Dealer" />
        <activity
            android:name="com.za.ui.servicing.go_to_destination.GoToDestinationActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Dealer" />
        <activity
            android:name="com.za.signature.GridPaintActivity"
            android:exported="false"
            android:theme="@style/Theme.Dealer" />
        <activity
            android:name="com.za.ui.servicing.operation.InOperationActivity"
            android:exported="false"
            android:label="@string/title_activity_in_operation"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Dealer" />
        <activity
            android:name="com.za.ui.camera.ZdCameraXActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Dealer">
            <meta-data
                android:name="android.app.lib_name"
                android:value="" />
        </activity>
        <activity
            android:name="com.za.ui.servicing.check_vehicle.CheckVehicleActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Dealer" />
        <activity
            android:name="com.za.ui.servicing.verify.VerifyOrderActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Dealer" />
        <activity
            android:name="com.za.ui.servicing.go_accident.GoAccidentSiteActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Dealer" />
        <activity
            android:name="com.za.ui.servicing.wait_to_start.WaitToStartActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Dealer" />

        <receiver
            android:name="com.za.service.ZdPushServiceReceive"
            android:exported="false">
            <intent-filter>
                <action android:name="com.zd.servicing.PUSH_MESSAGE" />
            </intent-filter>
        </receiver>

    </application>

</manifest>